commit:     5ac07954ff0cff16d690f309e07c3227a29afd1f
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 18 11:11:35 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jan 18 11:41:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ac07954

dev-python/pytest-cov: Bump to 2.11.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pytest-cov/Manifest                 |  1 +
 dev-python/pytest-cov/pytest-cov-2.11.0.ebuild | 47 ++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/pytest-cov/Manifest b/dev-python/pytest-cov/Manifest
index 95a1cc552cf..56779360547 100644
--- a/dev-python/pytest-cov/Manifest
+++ b/dev-python/pytest-cov/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-cov-2.10.1.tar.gz 56822 BLAKE2B 
45eba205a2c6687882445d3554cedc04ad556854f5eac8eb0fab7fda84cdf2736b034dfdceb664293d1add153a5271403eb94585a863676ccfef9ab09727d165
 SHA512 
2dd575141754a417f34b414ba7e07291c273abdc63a6b7dc72d317c6ec10076b83c2ad78eeefdda7cee1fd6f56932d838602da4dd760a1c0d12095be94c22568
+DIST pytest-cov-2.11.0.tar.gz 59018 BLAKE2B 
f2ecaff439e701c3b7d029e4c51cb019d5222a083815ae5771341b0fa0f1b658f921a6eab75c0b568b630cc7ca75887f25ae7fb6fcaa9c2e8dc419397c4c799a
 SHA512 
001f4975d7ad1a573354074366f983887ec9035bcc29afe9bd1ae2654fab520b8f479c5037936e6131749e5205077e937304e73d366cb43460db1f24a58b02be
 DIST pytest-cov-2.8.1.tar.gz 47661 BLAKE2B 
590fd50b69d01a71b20982d8cdbed0698ebe24c290d791bb44c96aa1aaaf77cf1f379d565eb775864c6945facf6d271115236cb44b95e4a4c9bb7cc6fd591acf
 SHA512 
769a17c2095dbe990df148a0105c9e3dc88ac2265ac77ac31448dab6abf6d8cc0d54f5c6ff01fd708bd38700bfea93f57d3bb702bd9bb0a708257d094b2376ec

diff --git a/dev-python/pytest-cov/pytest-cov-2.11.0.ebuild 
b/dev-python/pytest-cov/pytest-cov-2.11.0.ebuild
new file mode 100644
index 00000000000..ae807ac41f7
--- /dev/null
+++ b/dev-python/pytest-cov/pytest-cov-2.11.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="py.test plugin for coverage reporting"
+HOMEPAGE="https://github.com/pytest-dev/pytest-cov 
https://pypi.org/project/pytest-cov/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       >=dev-python/py-1.4.22[${PYTHON_USEDEP}]
+       >=dev-python/pytest-3.6[${PYTHON_USEDEP}]
+       >=dev-python/coverage-4.4[${PYTHON_USEDEP}]
+"
+# TODO: figure out how to make tests work without pytest-cov installed
+# first
+BDEPEND="
+       test? (
+               ~dev-python/pytest-cov-${PV}[${PYTHON_USEDEP}]
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+               dev-python/fields[${PYTHON_USEDEP}]
+               >=dev-python/process-tests-2.0.2[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs \
+       dev-python/sphinx-py3doc-enhanced-theme
+
+python_test() {
+       local deselect=(
+               # attempts to install packages via pip (network)
+               tests/test_pytest_cov.py::test_dist_missing_data
+       )
+
+       pytest -vv ${deselect[@]/#/--deselect } || die "Tests failed under 
${EPYTHON}"
+}

Reply via email to